Böngésző törölhetetlenség

...

Sziasztok!

 

Tegnap a Debian 11 alatt próbáltam törölni a firefox-esr-t mert van chrome telepítve, de ahogy törölném, akkor a csomagkezelő felrakja helyette az epiphany-t. Ha azt törölném akkor meg egy másik böngészőt, majd ha azt is törölném akkor a firefox-esr-t akara feltenni? Ez most miért? Tiszta olyan érzésem van mint a windowson a kötelező explorer volt régen. 

Hozzászólások

Szerkesztve: 2021. 12. 04., szo – 08:35

Nem lehet van olyan csomag aminek a követelménye, hogy legyen telepítve böngésző?

Értem, hogy a chrome fent van, de gondolom nem a debian repoból.

 

apt rdepends csomagneve

Mit jelent nálad az a szó, hogy törölni? 

A dpkg szépen megmondja, hogy melyik csomagnak kell az adott webböngésző. Én, ha el akarom távolítani a firefox-esr csomagot, akkor egyből kiderül, hogy a libreoffice súgójának kell:

dpkg: dependency problems prevent removal of firefox-esr:
 libreoffice-help-hu depends on firefox-esr | epiphany-browser | konqueror | chromium | firefox; however:
  Package firefox-esr is to be removed.
  Package epiphany-browser is not installed.
  Package konqueror is not installed.
  Package chromium is not installed.
  Package firefox is not installed.

Á, ennyire nem néztem utána. Akkor a libreoffiszének kell a böngésző... Hajam lerakom, hogy 2021-ben itt tartunk, hogy egy irodai szoftvernek a súgójához fixen függőségként beraknak egy böngészőt, ahelyett, hogy lekérné az alapértelmezettnek beállított böngészőt, és ha ilyen nincs dobna egy hibaüzit, hogy tegyél fel már valami browsert.

Könnyebb valamit bedrótozni fixre a hivatalos csomag választékból, mint spec. hibaüzi felugrót vagy spec. log bejegyzést generálni. :-)
Mondjuk én igazából nem szoktam semmit kidobálni az alap disztróból, ha valami nincs ami nekem kell. Azt felrakom így-vagy úgy. Sok vizet nem zavar még egy böngésző a rendszeren.

libreoffice-help-hu depends on firefox-esr | epiphany-browser | konqueror | chromium | firefox

itt vannak a bongeszok. az hogy valaki feltakol valami ismeretlen browsert a rendszerre, az nem az csomagkezelo baja.

A vegtelen ciklus is vegeter egyszer, csak kelloen eros hardver kell hozza!

Megnéztem a biztonság kedvéért, természetesen a Chrome csomagjában ott figyel a „Provides: www-browser”, szóval nem a csomagkezelő a hibás, hanem a libreoffice-help-hu maintainere csinált hülyeséget, amikor a meta név helyett specifikus csomagokra hivatkozott.

ahelyett, hogy lekérné az alapértelmezettnek beállított böngészőt, és ha ilyen nincs dobna egy hibaüzit, hogy tegyél fel már valami browsert

Ahelyett, hogy egy kibaszott GTK HTML-ben vagy valamilyen szimpla webview-n megjelenítené. Ja bocsánat, azon a beágyazott marketingbuzi, influenszer stílusú Youtube videók, mint amilyen a help főoldalán is van, már biztos nem játszhatók le és ez elengedhetetlenül™ szükséges™ egy 2021-es™, modern™ irodai program helpjébe.

Szerkesztve: 2021. 12. 04., szo – 12:28

Mondjuk az meg érdekes szitu lenne Linuxon, ha csak böngészőből tudnál másik böngészőt felrakni. Csomag kezelő ebből a szempontból is előnyös. Ami azért már Windows-ra is van, csak a userek kb. 5%-a tudna böngészőt varázsolni csomagkezelővel. Míg ez a Linux userekre nem annyira igaz, viszont a kezdő Ubuntu kergetők is gondban lennének. Ha nem lenne Szoftverbolt és default installált böngésző. Jól van az, egy komplett GUI-s környezetet adó telepítés után legyen egy default (telepített) browser. Amire lehet hivatkozni a többi alkalmazásnak, ha szüksége van rá.
 

Task desktop függősége lesz sztem valami brozer virtuális package ami provided by (choice from set of brozers).

A megoldást nem tudom. :-)

De az biztos jó, ha a Debian által biztosított Chrome(ium) csomagot felteszed. Ha friss kell, használd a backports repot:  aptitude -t bullseye-backports.

Persze előtte engedélyezni kell sources.list-ben